
use "C:\DATA\test\uscounty1.dta", clear
append using "C:\DATA\test\uscounty2.dta"
sort _ID order
save "C:\DATA\test\uscounty.dta", replace


use "C:\DATA\test\uscounty_fips.dta", clear

tmap chor population if state == "41", id(_ID) cln(5) map("C:\DATA\test\uscounty.dta") /// 
legbox(lc(black)  margin(medsmall)) legpos(5) legs(1.2) palette(Paired) /// 
title(`"`"Oregon Population"'"') subtitle(`"`"Year 2000"'"') /// 
addplot(label countyname if state == `"`"41"'"', x(longitude) y(latitude) ls(.85) )

sort state county
save, replace
merge state county using "C:\DATA\test\summary_of_business04.dta"


gen liab_per_acre = liability/net_acre
replace liab_per = 0 if liab_per ==.

tmap chor liab_per if contig, id(_ID) map("C:\Data\test\uscounty.dta") /// 
palette(Blues) title(`"`"US Crop Insurance Liability Per Acre"'"') subtitle("2004")


tmap chor liab_per if state == "15", id(_ID)  clm(unique) map("C:\Data\test\uscounty.dta") /// 
palette(Paired) title(`"`"Hawaii Crop Insurance Liability Per Acre"'"') subtitle("2004") /// 
addplot(label countyname if state == `"`"15"'"', x(longitude) y(latitude) ls(1.5))

